Bug 740889

Summary: During sync, "SIZE (PACKAGES)" column data flashes but never changes
Product: Red Hat Satellite 6 Reporter: Jeff Weiss <jweiss>
Component: WebUIAssignee: Martin Bacovsky <mbacovsk>
Status: CLOSED CURRENTRELEASE QA Contact: Katello QA List <katello-qa-list>
Severity: low Docs Contact:
Priority: unspecified    
Version: NightlyCC: bkearney, dajohnso, mbacovsk, mmccune, shughes
Target Milestone: UnspecifiedKeywords: Reopened, Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
chrome 14
Last Closed: 2014-08-11 19:31:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 767841    

Description Jeff Weiss 2011-09-23 16:22:23 UTC
Description of problem:
during sync the progressbar works, but the "SIZE (PACKAGES)" col does not, what i get is
"0 bytes
5.94 GB (6416)" where the 2nd line flashes but never changes.

Version-Release number of selected component (if applicable):
Katello Version: 0.1.83-1.git.43.0db4170.fc14

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Product always says 0, repo size flashes but never changes.

Expected results:
Either static non-flashing text, or updating values.  Not sure if "SIZE" means the size to be synced (in which case it should be static), or size synced so far, in which case it should update.  I'm fine with it being the size to be synced.  But the product line "0 bytes" is wrong - it should be the sum of all the repos.


Additional info:

Comment 1 Shannon Hughes 2011-09-30 19:32:25 UTC
this works for me with latest katello and pulp 235-1

the product values are updated after the repos are sync complete.

Comment 2 Jeff Weiss 2011-10-24 13:14:53 UTC
still see the problem on pulp-0.0.237-5.el6.noarch, katello-0.1.95-1.git.56.344ea38.el6.x86_64

Reopening.

Comment 3 Jeff Weiss 2011-10-24 13:18:41 UTC
I am not sure what is going on, but the pulp logs say the sync is complete but the UI is doing that flashing thing described above.


2011-10-24 09:12:42,684 3480:140729223472896: pulp.server.tasking.task:INFO: task:376 Task succeeded: Task d9e4ae47-fe41-11e0-ba74-52540007db76: _sync(ACME_Corporation-sync-test1-1319460284555-testrepo-1319460287580, synchronizer=<pulp.server.api.synchronizers.YumSynchronizer object at 0x7ffe144d9e10>, skip_dict={}, max_speed=100, threads=15, progress_callback=<bound method RepoSyncTask.progress_callback of <pulp.server.api.repo_sync_task.RepoSyncTask object at 0x7ffe144d9110>>)

 ----

Started GET "/katello//sync_management/sync_status?repo_id=ACME_Corporation-sync-test1-1319460284555-testrepo-1319460287580&sync_id=3955a035-fe3e-11e0-b50d-52540007db76&product_id=1&_=1319462274339" for 10.11.9.144 at Mon Oct 24 09:17:54 -0400 2011
  Processing by SyncManagementController#sync_status as JSON
  Parameters: {"product_id"=>"1", "repo_id"=>"ACME_Corporation-sync-test1-1319460284555-testrepo-1319460287580", "_"=>"1319462274339", "sync_id"=>"3955a035-fe3e-11e0-b50d-52540007db76"}
Completed 200 OK in 100ms (Views: 0.9ms | ActiveRecord: 0.0ms)

Comment 4 Shannon Hughes 2011-10-26 15:19:20 UTC
the flash is the updates. when the sync status reaches 100%, we wait still finish time is not null, then update the product status before sync complete is shown to user.

Comment 5 Martin Bacovsky 2012-12-18 15:28:42 UTC
In the time of 

# rpm -qa |grep -e pulp -e katello
katello-cli-common-1.3.1-1.el6.noarch
katello-repos-1.2.1-1.git.34.5c113ae.el6.noarch
katello-glue-pulp-1.3.1-1.el6.noarch
katello-configure-1.3.1-1.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
pulp-admin-1.1.12-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.9-1.el6.noarch
pulp-common-1.1.12-1.el6.noarch
katello-common-1.3.1-1.el6.noarch
pulp-1.1.12-1.el6.noarch
katello-all-1.3.1-1.el6.noarch
pulp-client-lib-1.1.12-1.el6.noarch
katello-glue-foreman-1.3.1-1.el6.noarch
pulp-selinux-server-1.1.12-1.el6.noarch
katello-1.3.1-1.el6.noarch
katello-cli-tests-1.3.1-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-1.3.1-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-glue-candlepin-1.3.1-1.el6.noarch
katello-selinux-1.1.2-1.el6.noarch
katello-agent-1.1.3-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch

I can see the following issues
 1/ repo bar is pulsating in the beginning. During the process it gets okay
 2/ product bar is updated in the end of sync and not during the sync (when it shows '0')
 3/ repo SIZE (PACKAGES) is 0 in the beginning while I would prefer 'N/A' or 'counting...'
 4/ no value in Duration (neither repo nor product)

Proposed fix is
1/ fix the pulsating
2/ update Product size with SUM of repos after every new repo size discovery
3/ replace 0 with 'N/A' and possibly 'counting...' after sync strats
4/ Remove the duration column as it is duplicite while 'Start time' states 'XY mins ago'

Comments?

Comment 6 Bryan Kearney 2014-01-21 19:07:25 UTC
Moving to Sat6 to be tracked there. Upstream bugs are moving to redmine.

Comment 7 Bryan Kearney 2014-08-11 19:31:59 UTC
We believe this to be fixed int he current version, and therefore I am closing this out. If you disagree, please feel free to re-open it with details os where you are seeing the issue in the beta code.